import { Messages3 } from 'iconsax-react'
import { type FC } from 'react'
import { useTranslation } from 'react-i18next'
import SubMenuItem from './SubMenuItem'
import { useLocation } from 'react-router-dom'
import { Pages } from '../../config/Pages'

const TicketSubMenu: FC = () => {

    const location = useLocation()
    const { t } = useTranslation('global')


    const isActive = (name: string) => {
        return location.pathname.includes(name)
    }

    return (
        <div className='py-12'>
            <div className='flex gap-3 items-center border-b pb-10 px-6'>
                <Messages3
                    size={24}
                    color='#000'
                    variant='Bold'
                />
                <div className='text-xs'>
                    {t('sidebar.ticket')}
                </div>
            </div>

            <div className='flex flex-col mt-10 gap-4'>
                <SubMenuItem
                    title={t('submenu.ticket_list')}
                    isActive={isActive('list')}
                    link={Pages.ticket.list}
                />
                <SubMenuItem
                    title={t('submenu.send_ticket')}
                    isActive={isActive('create')}
                    link={Pages.ticket.create}
                />
                <SubMenuItem
                    title={t('submenu.category')}
                    isActive={isActive('category')}
                    link={Pages.ticket.category}
                />
            </div>
        </div>
    )
}

export default TicketSubMenu